@font-face {
  font-family: "Inter";
  src: url("./assets/fonts/Inter-VariableFont_slnt\,wght.ttf");
}

:root {
	--color-green: #c4f82a;
	--color-grey-700: #333333;
	--color-grey-800: #1f1f1f;
	--color-grey-900: #141414;
	--color-white: #ffffff;

	--font-size-text-preset-1: 1.5rem;
	--font-size-text-preset-2: 0.875rem;

	--spacing-100: 0.5rem;
	--spacing-150: 0.75rem;
	--spacing-200: 1rem;
	--spacing-300: 1.5rem;
	--spacing-50: 0.25rem;
	--spacing-500: 2.5rem;
}


*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
}
img {
  max-width: 100%;
}

.text-preset-1 {
  font-size: var(--font-size-text-preset-1);
  line-height: 1.5;
  letter-spacing: 0px;
}

.text-preset-2 {
  font-size: var(--font-size-text-preset-2);
  line-height: 1.5;
  letter-spacing: 0px;
}

.text-preset-2-bold {
  font-size: var(--font-size-text-preset-2);
  line-height: 1.5;
  letter-spacing: 0px;
  font-weight: bold;
}

body {
  font-family: "Inter";
  background: var(--color-grey-900);
  color: var(--color-white);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  padding: 1rem;
}

main {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

article {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--color-grey-800);
  padding: var(--spacing-500);
  gap: var(--spacing-300);
  border-radius: 12px;
  width: clamp(100%, 24rem, calc(100vw - 2rem));
}

.location {
  color: var(--color-green);
}

.avatar {
  width: 88px;
  height: 88px;
  border-radius: 9999px;
}

ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-200);
  width: 100%;
  margin: 0;
  padding: 0;
}

li {
  background-color: var(--color-grey-700);
  padding: var(--spacing-150);
  border-radius: 0.3125rem;
}

li:hover {
  background-color: var(--color-green);
  color: var(--color-grey-700);
  opacity: 0.8;
  cursor: pointer;
}

.general-info {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-50);
}